Package com.destroystokyo.paper.event.entity

# Class ExperienceOrbMergeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.ExperienceOrbMergeEvent

All Implemented Interfaces:
  `Cancellable`

public class ExperienceOrbMergeEvent extends EntityEvent implements Cancellable
Fired anytime the server is about to merge 2 experience orbs into one

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`ExperienceOrbMergeEvent(@NotNull ExperienceOrb mergeTarget, @NotNull ExperienceOrb mergeSource)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ExperienceOrb`
`getMergeSource()`
`@NotNull ExperienceOrb`
`getMergeTarget()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExperienceOrbMergeEvent

public ExperienceOrbMergeEvent(@NotNull @NotNull ExperienceOrb mergeTarget, @NotNull @NotNull ExperienceOrb mergeSource)

## Method Details

### getMergeTarget

@NotNull public @NotNull ExperienceOrb getMergeTarget()

Returns:
  The orb that will absorb the other experience orb

### getMergeSource

@NotNull public @NotNull ExperienceOrb getMergeSource()

Returns:
  The orb that is subject to being removed and merged into the target orb

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event, and prevent the orbs from merging